summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:24:39 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:24:39 +0200
commitfb0fdd042e8729f5d942dfc8693f1783b3d27d24 (patch)
tree90bd08260a153d19e222f61e79807c1d2a3a0f0e
parenteeb05cf1f2dd51f8a1cd17cf0f601940ee5c9ac3 (diff)
downloadslackbuilds-fb0fdd042e8729f5d942dfc8693f1783b3d27d24.tar.gz
slackbuilds-fb0fdd042e8729f5d942dfc8693f1783b3d27d24.tar.xz
development/geany: Updated for version 0.18.1
-rw-r--r--development/geany/README17
-rw-r--r--development/geany/doinst.sh6
-rw-r--r--development/geany/geany.SlackBuild25
-rw-r--r--development/geany/geany.info10
4 files changed, 37 insertions, 21 deletions
diff --git a/development/geany/README b/development/geany/README
index 160af50f31..742a80ee27 100644
--- a/development/geany/README
+++ b/development/geany/README
@@ -3,11 +3,18 @@ integrated development environment. It was developed to provide a
small and fast IDE, which has only a few dependencies from other
packages. It supports many filetypes and has some nice features.
-If you need the GTK Symbol completion (removed in Geany 0.16), You can
-download them (and other tag-files from:
+If you need the GTK Symbol completion tags (removed in Geany 0.16), get
+them (and other tag-files) from: http://download.geany.org/contrib/tags/
- http://download.geany.org/contrib/tags/
+the easiest way to download them all is:
-and place them in ~/.config/geany/tags/ directory. After this you will
-need to restart Geany for this to take effect.
+ lft -c "open http://download.geany.org/contrib/tags; mirror ."
+The first option is to put them in $CWD at the time you build the
+package. Then tell the SlackBuild to include support for tags:
+
+ TAGS=yes ./geany.SlackBuild
+
+The second option is to download them and and place them in the
+~/.config/geany/tags/ directory. You will then need to restart
+Geany for this to take effect.
diff --git a/development/geany/doinst.sh b/development/geany/doinst.sh
index 5934a15ab1..140e332222 100644
--- a/development/geany/doinst.sh
+++ b/development/geany/doinst.sh
@@ -1,9 +1,3 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications
fi
-
-if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
- if [ -x /usr/bin/gtk-update-icon-cache ]; then
- /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
- fi
-fi
diff --git a/development/geany/geany.SlackBuild b/development/geany/geany.SlackBuild
index 2e3f5459a0..2e24d07bb0 100644
--- a/development/geany/geany.SlackBuild
+++ b/development/geany/geany.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Geany
# Written by Evan Hisey <ehisey@gmail.com>
-# Copyright 2009 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2009-2010 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -25,7 +25,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=geany
-VERSION=0.17
+VERSION=${VERSION:-0.18.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,6 +35,10 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Enable support for global tags. Make sure there are any .tags files in $CWD.
+# Extra tags can be downloaded from
+TAGS=${TAGS:-no}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -76,8 +80,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -85,10 +91,17 @@ make install DESTDIR=$PKG
for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
+# Add global support for tags:
+if [ "$TAGS" = "yes" ]; then
+ mkdir -p $PKG/usr/share/$PRGNAM/tags
+ for tagfile in $CWD/*.tags; do
+ cat $tagfile > $PKG/usr/share/$PRGNAM/tags/${tagfile##/*/}
+ done
+fi
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog* HACKING INSTALL README* THANKS TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/share/geany/GPL-2 $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -96,4 +109,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/geany/geany.info b/development/geany/geany.info
index 16ee68950f..3df3c88cd9 100644
--- a/development/geany/geany.info
+++ b/development/geany/geany.info
@@ -1,8 +1,10 @@
PRGNAM="geany"
-VERSION="0.17"
+VERSION="0.18.1"
HOMEPAGE="http://geany.uvena.de/Main/HomePage"
-DOWNLOAD="http://downloads.sourceforge.net/geany/geany-0.17.tar.bz2"
-MD5SUM="097f619f5f0800098a2438a216a28e7b"
+DOWNLOAD="http://download.geany.org/geany-0.18.1.tar.bz2"
+MD5SUM="e8be4c0918a8b29ef43bf17fa080c11c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"